%define real_name gettext

Summary: 	GNU libraries and utilities for producing multi-lingual messages.
Name: 		%{real_name}-progs
Version: 	0.19.1
Release:	1
License: 	GPLv3 and LGPLv2+
Group: 		Development/Tools
URL: 		http://www.gnu.org/software/%{name}/
Source0: 	ftp://ftp.gnu.org/gnu/%{name}/%{real_name}-%{version}.tar.gz
Source1: 	ftp://ftp.gnu.org/gnu/%{name}/%{real_name}-%{version}.tar.gz.sig
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	make

BuildRequires:	expat-devel >= 2.0.1-3
BuildRequires:	gettext >= 0.10.40-6
BuildRequires:	glib2-devel >= 2.8.1-3
BuildRequires:	libiconv >= 1.14-2
BuildRequires:	libxml2-devel >= 2.7.8-3

Requires:	expat >= 2.0.1-3
Requires:	gettext >= 0.10.40-6
Requires:	glib2 >= 2.8.1-3
Requires:	libiconv >= 1.14-2
Requires:	libxml2 >= 2.7.8-3

%description
The GNU gettext package provides a set of tools and documentation for
producing multi-lingual messages in programs. Tools include a set of
conventions about how programs should be written to support message
catalogs, a directory and file naming organization for the message
catalogs and stand-alone programs for handling the translatable and
the already translated strings. Gettext provides an easy to use
library and tools for creating, using, and modifying natural language
catalogs and is a powerful and simple method for internationalizing
programs.

This package contains statically linked binaries so that the "standard"
libintl.a library that comes with AIX stays untouched but the binaries 
contain the functionality of recent gettext versions.


%prep
%setup -q -n %{real_name}-%{version}


%build
export CC="xlc_r"
export CXX="xlC_r"
./configure \
    --prefix=%{_prefix} \
    --infodir=%{_infodir} \
    --mandir=%{_mandir} \
    --disable-shared --enable-static \
    --disable-curses
gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*info*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/gettext.info.gz %{_infodir}/dir || :


%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/gettext.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc gettext-runtime/ABOUT-NLS AUTHORS gettext-runtime/BUGS
%doc COPYING gettext-tools/misc/DISCLAIM README
%doc NEWS THANKS
%doc gettext-runtime/man/*.1.html
%doc gettext-runtime/intl/COPYING*
%{_bindir}/*
%{_infodir}/gettext*
%{_mandir}/man1/*
%{_datadir}/locale/*/*/*
/usr/bin/*


%changelog
* Tue Jun 10 2014 Michael Perzl <michael@perzl.org> - 0.19.1-1
- updated to version 0.19.1

* Mon Jun 02 2014 Michael Perzl <michael@perzl.org> - 0.19-1
- updated to version 0.19

* Tue Jan 07 2014 Michael Perzl <michael@perzl.org> - 0.18.3.2-1
- updated to version 0.18.3.2

* Fri Aug 16 2013 Michael Perzl <michael@perzl.org> - 0.18.3.1-1
- updated to version 0.18.3.1

* Mon Jul 08 2013 Michael Perzl <michael@perzl.org> - 0.18.3-1
- updated to version 0.18.3

* Tue Mar 05 2013 Michael Perzl <michael@perzl.org> - 0.18.2.1-1
- updated to version 0.18.2.1

* Mon Jan 07 2013 Michael Perzl <michael@perzl.org> - 0.18.2-1
- updated to version 0.18.2

* Mon Jan 07 2013 Michael Perzl <michael@perzl.org> - 0.18.1.1-1
- updated to version 0.18.1.1

* Mon Jan 07 2013 Michael Perzl <michael@perzl.org> - 0.18.1-1
- updated to version 0.18.1

* Mon Jan 07 2013 Michael Perzl <michael@perzl.org> - 0.18-1
- updated to version 0.18

* Wed Mar 16 2011 Michael Perzl <michael@perzl.org> - 0.17-2
- removed dependency on ncurses

* Fri Dec 17 2010 Michael Perzl <michael@perzl.org> - 0.17-1
- first version for AIX V5.1 and higher
